Bug 187959 - Trying to play audio blocks (hangs) after using other various audio programs
Trying to play audio blocks (hangs) after using other various audio programs
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: esound (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bastien Nocera
: Desktop
: 189744 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-04 17:30 EDT by David Duffey
Modified: 2008-03-11 12:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 12:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Duffey 2006-04-04 17:30:13 EDT
Description of problem:

Some audio programs (known examples: realplayer and mplayer) play audio fine. 
But after using those programs cause other programs to hang or not play audio. 
Gaim and xchat stop playing sounds.  In the case of "xchat" it will spawn (fork)
aplay, but aplay will never return/die (so I see hundreds of aplay processes). 
aplay will block/hang (strace below) even with --nonblock option.  Evolution
will hang (strace below).  Strangely, offending programs (realplayer/mplayer)
will work find if you run them again.

Version-Release number of selected component (if applicable):
[dduffey@doubleosix ~]$ rpm -qa | grep -i
'\(gaim\|evolution\|xchat\|realplayer\|mplayer\|aplay\|sound\)'
esound-0.2.36-2.2.1
xchat-2.6.0-4
gaim-guifications-2.12-3.fc5
esound-devel-0.2.36-2.2.1
mplayerplug-in-3.21-1.lvn5
evolution-2.6.0-1
sound-juicer-2.14.0-1
evolution-webcal-2.4.1-3.2
evolution-data-server-1.6.0-1
evolution-data-server-devel-1.6.0-1
mplayer-fonts-1.1-3.lvn5
evolution-sharp-0.10.2-9
gaim-1.5.0-15.fc5.1
mplayer-1.0-0.37.pre7try2.lvn5
system-config-soundcard-1.2.16-2

How reproducible:
every time.

Steps to Reproduce:
1. Run an audio program to play audio (RealPlayer / mplayer)
2. Stop/Close audio program
3. Try to run "aplay" or evolution playing a sound causes aplay/evolution to hang.
  
Actual results:
Realplayer / and or mplayer still work if loaded and ran again.  Other
application's sound stop working (gaim), and evolution and aplay hang forever.

Expected results:
aplay and evolution should not hang/lock up.  realplayer and/or mplayer should
not cause other programs (gaim) to stop playing sounds after the original audio
controlling application has been closed.

Additional info:
Dell D600 Laptop, FC5

[root@doubleosix ~]# lsmod | grep snd
snd_intel8x0m          16077  0
snd_intel8x0           30301  2
snd_ac97_codec         83937  2 snd_intel8x0m,snd_intel8x0
snd_ac97_bus            2497  1 snd_ac97_codec
snd_seq_dummy           3781  0
snd_seq_oss            28993  0
snd_seq_midi_event      7105  1 snd_seq_oss
snd_seq                47153  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device          8909  3 snd_seq_dummy,snd_seq_oss,snd_seq
snd_pcm_oss            45009  0
snd_mixer_oss          16449  1 snd_pcm_oss
snd_pcm                76869  4
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_pcm_oss
snd_timer              22597  2 snd_seq,snd_pcm
snd                    50501  14
snd_intel8x0m,snd_intel8x0,snd_ac97_codec,snd_seq_oss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer
soundcore               9377  1 snd
snd_page_alloc         10441  3 snd_intel8x0m,snd_intel8x0,snd_pcm

[root@doubleosix ~]# modinfo snd_intel8x0
filename:       /lib/modules/2.6.15-1.2054_FC5/kernel/sound/pci/snd-intel8x0.ko
author:         Jaroslav Kysela <perex@suse.cz>
description:    Intel 82801AA,82901AB,i810,i820,i830,i840,i845,MX440; SiS 7012;
Ali 5455
license:        GPL
vermagic:       2.6.15-1.2054_FC5 686 REGPARM 4KSTACKS gcc-4.1
depends:        snd-ac97-codec,snd-pcm,snd-page-alloc,snd
alias:          pci:v00008086d00002415sv*sd*bc*sc*i*
alias:          pci:v00008086d00002425sv*sd*bc*sc*i*
alias:          pci:v00008086d00002445sv*sd*bc*sc*i*
alias:          pci:v00008086d00002485sv*sd*bc*sc*i*
alias:          pci:v00008086d000024C5sv*sd*bc*sc*i*
alias:          pci:v00008086d000024D5sv*sd*bc*sc*i*
alias:          pci:v00008086d000025A6sv*sd*bc*sc*i*
alias:          pci:v00008086d0000266Esv*sd*bc*sc*i*
alias:          pci:v00008086d000027DEsv*sd*bc*sc*i*
alias:          pci:v00008086d00002698sv*sd*bc*sc*i*
alias:          pci:v00008086d00007195sv*sd*bc*sc*i*
alias:          pci:v00001039d00007012sv*sd*bc*sc*i*
alias:          pci:v000010DEd000001B1sv*sd*bc*sc*i*
alias:          pci:v000010DEd0000003Asv*sd*bc*sc*i*
alias:          pci:v000010DEd0000006Asv*sd*bc*sc*i*
alias:          pci:v000010DEd00000059sv*sd*bc*sc*i*
alias:          pci:v000010DEd0000008Asv*sd*bc*sc*i*
alias:          pci:v000010DEd000000DAsv*sd*bc*sc*i*
alias:          pci:v000010DEd000000EAsv*sd*bc*sc*i*
alias:          pci:v000010DEd0000026Bsv*sd*bc*sc*i*
alias:          pci:v00001022d0000746Dsv*sd*bc*sc*i*
alias:          pci:v00001022d00007445sv*sd*bc*sc*i*
alias:          pci:v000010B9d00005455sv*sd*bc*sc*i*
srcversion:     5F2B16050A4CA4027B43991
parm:           joystick:int
parm:           enable:bool
parm:           xbox:Set to 1 for Xbox, if you have problems with the AC'97
codec detection. (bool)
parm:           buggy_irq:Enable workaround for buggy interrupts on some
motherboards. (bool)
parm:           buggy_semaphore:Enable workaround for hardwares with problematic
codec semaphores. (bool)
parm:           ac97_quirk:AC'97 workaround for strange hardware. (charp)
parm:           ac97_clock:AC'97 codec clock (0 = auto-detect). (int)
parm:           id:ID string for Intel i8x0 soundcard. (charp)
parm:           index:Index value for Intel i8x0 soundcard. (int)

strace evolution, hanging point:
access("/tmp/.esd/socket", R_OK|W_OK)   = 0
socket(PF_FILE, SOCK_STREAM, 0)         = 36
fcntl64(36, F_SETFD, FD_CLOEXEC)        = 0
setsockopt(36, SOL_SOCKET, SO_REUSEADDR, [1], 4) = 0
connect(36, {sa_family=AF_FILE, path="/tmp/.esd/socket"}, 18) = 0
rt_sigaction(SIGPIPE, {0x6afb10, [PIPE], SA_RESTART}, {SIG_IGN}, 8) = 0
open("/home/dduffey/.esd_auth", O_RDONLY) = 37
read(37, "JR\227\217Z\323\324tY\347\374\314\340.\5\327", 16) = 16
write(36, "JR\227\217Z\323\324tY\347\374\314\340.\5\327", 16) = 16
write(36, "NDNE", 4)                    = 4
read(36, 0xbfae7500, 4)                 = ? ERESTARTSYS (To be restarted)
--- SIGWINCH (Window changed) @ 0 (0) ---
--- SIGWINCH (Window changed) @ 0 (0) ---
read(36, 0xbfae7500, 4)                 = ? ERESTARTSYS (To be restarted)
--- SIGWINCH (Window changed) @ 0 (0) ---
read(36,


strace of aplay (hanging point), note even though I do --nonblock it still hangs:
strace --nonblock email.wav
stat64("/etc/alsa/alsa.conf", {st_mode=S_IFREG|0644, st_size=7501, ...}) = 0
open("/dev/snd/controlC0", O_RDONLY)    = 3
close(3)                                = 0
open("/dev/snd/controlC0", O_RDWR)      = 3
ioctl(3, USBDEVFS_CONTROL, 0xbfcf1044)  = 0
ioctl(3, UI_DEV_CREATE, 0xbfcf1020)     = 0
close(3)                                = 0
open("/dev/snd/controlC0", O_RDONLY)    = 3
close(3)                                = 0
stat64("/etc/alsa/alsa.conf", {st_mode=S_IFREG|0644, st_size=7501, ...}) = 0
open("/dev/snd/controlC0", O_RDONLY)    = 3
close(3)                                = 0
open("/dev/snd/controlC0", O_RDWR)      = 3
ioctl(3, USBDEVFS_CONTROL, 0xbfcf0b94)  = 0
ioctl(3, UI_DEV_CREATE, 0xbfcf0b70)     = 0
close(3)                                = 0
open("/dev/snd/controlC0", O_RDONLY)    = 3
close(3)                                = 0
stat64("/etc/alsa/alsa.conf", {st_mode=S_IFREG|0644, st_size=7501, ...}) = 0
open("/dev/snd/controlC0", O_RDONLY)    = 3
close(3)                                = 0
open("/dev/snd/controlC0", O_RDWR)      = 3
ioctl(3, USBDEVFS_CONTROL, 0xbfcf0b94)  = 0
ioctl(3, UI_DEV_CREATE, 0xbfcf0b70)     = 0
close(3)                                = 0
open("/dev/snd/controlC0", O_RDONLY)    = 3
close(3)                                = 0
stat64("/etc/alsa/alsa.conf", {st_mode=S_IFREG|0644, st_size=7501, ...}) = 0
open("/dev/snd/controlC0", O_RDONLY)    = 3
close(3)                                = 0
open("/dev/snd/controlC0", O_RDWR)      = 3
ioctl(3, USBDEVFS_CONTROL, 0xbfcf0b94)  = 0
ioctl(3, UI_DEV_CREATE, 0xbfcf0b70)     = 0
close(3)                                = 0
semget(904300474, 1, IPC_CREAT|0600)    = 0
semop(0, 0xbfcf113e, 2 <unfinished ...>

These applications worked as expected on the same hardware on FC4.
Comment 1 David Duffey 2006-06-14 17:24:04 EDT
I found that if I "kill $(/sbin/pidof esd)" the audio sub system starts working
again.
Comment 2 Ed Marshall 2006-07-31 11:48:22 EDT
Is this related to bugzilla #189744?
Comment 3 David Duffey 2006-07-31 14:30:37 EDT
This looks similar to that bug, but I don't recall having these issues in FC4. 
Also, my panel does not lock up, but I also don't used sound events for the
panels / menus.  I would be willing to update my FC5 and retest if needed.
Comment 4 Bastien Nocera 2007-04-17 05:49:16 EDT
Looks like you don't have dmix/asym setup. Did you select the "allow multiple
apps to playback" (or something similar) in system-config-soundcard?

Can you use both Real player and mplayer at the same time?
Comment 5 Bastien Nocera 2007-06-06 12:12:32 EDT
*** Bug 189744 has been marked as a duplicate of this bug. ***
Comment 6 petrosyan 2008-03-11 12:52:34 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note You need to log in before you can comment on or make changes to this bug.